> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://apidocs.polytomic.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://apidocs.polytomic.com/_mcp/server.

# Get Bulk Sync Execution

GET https://app.polytomic.com/api/bulk/syncs/{id}/executions/{exec_id}

Returns a single bulk sync execution, including per-schema execution status.

The response includes a breakdown of each schema (table or object) that
participated in the execution, with its individual status, row counts, and any
error details. This makes it suitable for diagnosing partial failures where
some schemas succeeded while others did not.

Reference: https://apidocs.polytomic.com/2024-02-08/api-reference/bulk-sync/executions/get

## Authentication

- `Authorization` header (basic auth, required) — This is the Polytomic deployment key (on-premises only)
- `Authorization` header (bearer token, required) — This is the Polytomic API key

## Request

### Path parameters

- `id` (string, required) — Unique identifier of the bulk sync.
- `exec_id` (string, required) — Unique identifier of the execution.

## Response

### 200

OK

- `data` (V3BulkSyncExecution, optional)

## Errors

### 401 Unauthorized Error

Unauthorized

- `code` (integer, optional) — Application-specific error code.
- `context` (map from string to any, optional) — Application context.
- `error` (string, optional) — Error message.
- `status` (string, optional) — Status text.

### 404 Not Found Error

Not Found

- `key` (string, optional)
- `message` (string, optional)
- `metadata` (map from string to any, optional)
- `status` (integer, optional)

## Types

### V3BulkSyncExecution

- `completed_at` (string, optional, nullable)
- `created_at` (string, optional)
- `error_count` (long, optional)
- `fetch_mode` (enum, optional) — How the data is fetched. 'none' is normal operation for Polytomic. 'incremental' and 'full' apply to syncs from Salesforce. 'incremental' indicates the data is synced incrementally using record modification time. 'full' is necessary to catch up to the latest values for formula fields and rollup fields whose updates don't show up in incremental runs due to limitations in Salesforce.
  - Allowed values: `none`, `incremental`, `full`
- `id` (string, optional)
- `is_partial` (boolean, optional)
- `is_resync` (boolean, optional)
- `is_test` (boolean, optional)
- `output_disposition` (enum, optional)
  - Allowed values: `retain`, `truncate`, `rebuild`
- `record_count` (long, optional)
- `schemas` (list of V3BulkSyncSchemaExecution, optional, nullable)
- `started_at` (string, optional, nullable)
- `status` (enum, optional)
  - Allowed values: `created`, `scheduled`, `running`, `exporting`, `canceling`, `canceled`, `completed`, `failed`, `processing`, `errors`, `interrupted`
- `status_message` (string, optional)
- `type` (string, optional)
- `updated_at` (string, optional)
- `version` (string, optional) — Polytomic version which last ran this execution.
- `warning_count` (long, optional)

### V3BulkSyncSchemaExecution

- `completed_at` (string, optional, nullable)
- `created_at` (string, optional)
- `error_count` (long, optional)
- `output_name` (string, optional)
- `record_count` (long, optional)
- `schema` (string, optional)
- `started_at` (string, optional, nullable)
- `status` (enum, optional)
  - Allowed values: `created`, `scheduled`, `running`, `exporting`, `canceled`, `completed`, `failed`, `interrupted`, `processing`
- `status_message` (string, optional)
- `updated_at` (string, optional)
- `version` (string, optional) — Polytomic version which last ran this schema execution.
- `warning_count` (long, optional)

## Examples

**Response**

```json
{
  "data": {
    "completed_at": "2023-04-25T12:00:00Z",
    "created_at": "2023-04-25T12:00:00Z",
    "error_count": 0,
    "fetch_mode": "none",
    "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
    "is_partial": false,
    "is_resync": false,
    "is_test": false,
    "output_disposition": "retain",
    "record_count": 1000,
    "schemas": [
      {
        "completed_at": "2023-04-25T12:00:00Z",
        "created_at": "2023-04-25T12:00:00Z",
        "error_count": 0,
        "output_name": "contact",
        "record_count": 1000,
        "schema": "contact",
        "started_at": "2023-04-25T12:00:00Z",
        "status": "created",
        "status_message": "string",
        "updated_at": "2023-04-25T12:00:00Z",
        "version": "rel2026.08.05.06~1a2b3c4",
        "warning_count": 0
      }
    ],
    "started_at": "2023-04-25T12:00:00Z",
    "status": "created",
    "status_message": "string",
    "type": "scheduled",
    "updated_at": "2023-04-25T12:00:00Z",
    "version": "rel2026.08.05.06~1a2b3c4",
    "warning_count": 0
  }
}
```

**SDK Code**

```typescript
import { PolytomicClient } from "polytomic";

async function main() {
    const client = new PolytomicClient({
        token: "YOUR_TOKEN_HERE",
        version: "X-Polytomic-Version",
    });
    await client.bulkSync.executions.get("248df4b7-aa70-47b8-a036-33ac447e668d", "248df4b7-aa70-47b8-a036-33ac447e668d");
}
main();

```

```python
from polytomic import Polytomic

client = Polytomic(
    token="YOUR_TOKEN_HERE",
    version="X-Polytomic-Version",
)

client.bulk_sync.executions.get(
    id="248df4b7-aa70-47b8-a036-33ac447e668d",
    exec_id="248df4b7-aa70-47b8-a036-33ac447e668d",
)

```

```go
package example

import (
    context "context"

    client "github.com/polytomic/polytomic-go/v24/client"
    option "github.com/polytomic/polytomic-go/v24/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "YOUR_TOKEN_HERE",
        ),
        option.WithVersion(
            "X-Polytomic-Version",
        ),
    )
    client.BulkSync.Executions.Get(
        context.TODO(),
        "248df4b7-aa70-47b8-a036-33ac447e668d",
        "248df4b7-aa70-47b8-a036-33ac447e668d",
    )
}

```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/executions/248df4b7-aa70-47b8-a036-33ac447e668d")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Polytomic-Version"] = 'X-Polytomic-Version'
request.basic_auth("<username>", "<password>")

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/executions/248df4b7-aa70-47b8-a036-33ac447e668d")
  .header("X-Polytomic-Version", "X-Polytomic-Version")
  .basicAuth("<username>", "<password>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/executions/248df4b7-aa70-47b8-a036-33ac447e668d', [
  'headers' => [
    'X-Polytomic-Version' => 'X-Polytomic-Version',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/executions/248df4b7-aa70-47b8-a036-33ac447e668d");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Polytomic-Version", "X-Polytomic-Version");

IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "X-Polytomic-Version": "X-Polytomic-Version",
  "Authorization": "Basic \(credentials)"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/executions/248df4b7-aa70-47b8-a036-33ac447e668d")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```